Subject: RE: [Sipping] Re: manyfolks-sipping-ToIP-01

From: "Gunnar Hellstrom" <[email-masked]>
Date: Sun, 7 Mar 2004 23:47:11 +0100

An agreed storage format for the text conversation, with tags for the source
and timing would make it easy to create service software that could format
display of extracts from a conversation to for example:

	-Show it in columns in time order similar to what T.140 suggests for
display during the session.
	-Show it in text blocks with source labels. ( slightly reordered in time in
order to avoid too
	 fragmented interleaving from simultaneous typing.
	-Select text from one participant only in order to pick info for use in
documents etc.
	-Convert it to the timed text payload format for storage as material for
streaming together with video
       recorded in the session.

I think this should be discussed in the xcon group.

Gunnar

-------------------------------------------
Gunnar Hellström
Omnitor AB
Renathvägen 2
SE 121 37 Johanneshov
SWEDEN
+46 8 556 002 03
Mob: +46 708 204 288
www.omnitor.se
[email-masked]
--------------------------------------------

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Guido Gybels
Sent: Friday, March 05, 2004 9:26 AM
To: [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: RE: [Sipping] Re: manyfolks-sipping-ToIP-01

Gunnar,

I don't think there is any need for us to create a specific XML scheme.
XHTML 1.0 (Transitional or Strict) or XHTML 1.1 should do just fine.

Guido

-----Original Message-----
From: "Gunnar Hellstrom" <[email-masked]>
Sent: 04 March 2004 17:45
To: "Guido Gybels" <[email-masked]>,
<[email-masked]>, "Eric Burger" <[email-masked]>,
<[email-masked]>, "Sipping (E-mail)" <[email-masked]>
Subject: RE: [Sipping] Re: manyfolks-sipping-ToIP-01

I think the XML storage format sounds interesting.
In our applications, we have so far just made a homemade text format
replicating the two sides of the (person to person) call. It can be ok forr
 eviewing, but not good if you want to cut out a piece and reuse it in a
document.
So, who want to start defining an XML storage formnat.
When doing it, it might be good to look at the timed text activity in IETFa
 vt, and the XCON activity in xcon, to check for interelations.
Colours and other rendering effects are defined in T.140 to be as defined in
ISO6429.   As also specified in Unicode ISO10646 that we use.
Gunnar

Gunnar Hellström
Omnitor AB
Renathvägen 2
SE 121 37 Johanneshov
SWEDEN
+46 8 556 002 03
Mob: +46 708 204 288
www.omnitor.se
[email-masked]

     Original Message
From: sipping [email-masked] [mailto:sipping [email-masked]]On Behalf Of
Guido Gybels
Sent: Monday, March 01, 2004 10:44 AM
To: Gunnar Hellstrom; owner [email-masked]; Eric Burger;
[email-masked]; Sipping (E mail)
Subject: [Sipping] Re: manyfolks sipping ToIP 01

Eric,
<<However, if we said minimum of 30cps, but really like 60cps
(professional typist), that is a ptime of 16ms, which would start to strainm
 any networks.>>
I am not sure, but I think that even a palantypist will not manage 60cps,a
 nd when memory serves me right, I believe I suggested 30cps on the basis of
it being already an upper limit in terms of maximum possible typing speed.J
 ames Hamlin might have some more background with regard to the number.
<<Why do we say that the file format for storage should be XHTML?  Are wea
 rchiving marked up text?  Why not just UTF 8?>>
As I was the one who put this requirement in, I should probably answer it:
 o)
Decent interactive texting services will mark up text, for instance to showt
 he two parties in two different colours. Further text formatting is oftenu
 sed to further improve the user experience.
We know from extensive discussions with deaf users that the need to be ablet
 o store or archive conversations is quite important. This archiving is
intended primarily for the purpose of allowing the end user to recall on
screen or print out previous conversations. That in turn means that the
formatting should be retained.
Because of this need to retain formatting, it makes sense to mark up the
text, which will allow formatting by rendering devices based on the metadata
from the mark up.
Since interactive texting is meant to be available on all kinds of platforms
and devices, I thought it crucial to make sure that the storage format wasa
 t least device and platform independent as well. We have seen in the pasta
 ll kinds of formats being used, which hampers often the users ability toc
 opy the files to other devices etc.
Of course, to mandate xhtml markup does not prevent application developersa
 nd device manufacturers from implementing additional formats.
I hope that is a sufficient explanation for this requirement.
Best wishes,
Guido
Guido Gybels
Director of New Technologies
RNID, 19 23 Featherstone Street
London EC1Y 8SL, UK
Tel +44(0)20 7294 3713
Fax +44(0)20 7296 8069

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use sip [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

This list is maintained by Snowshore Networks   http://www.snowshore.com
All comments on this list are the comments of the message originators andS
 nowshore is not to be held responsible for any actions or comments foundo
 n this list. The archives for this list can be found at
http://flyingfox.snowshore.com/toip_archive/maillist.html

************************************************************************
This email and any files transmitted with it are confidential
and intended solely for the use of the individual or entity to
whom they are addressed. Any views or opinions expressed
are solely those of the author and do not necessarily represent
RNID policy.

If you are not the intended recipient you are advised that any
use, dissemination, forwarding, printing or copying of this
email is strictly prohibited.

If you have received this email in error please notify the RNID
Helpdesk by telephone on: +44 (0) 207 296 8282.

The Royal National Institute for Deaf People
Registered Office 19-23 Featherstone Street
London EC1Y 8SL No. 454169 (England)
Registered Charity No. 207720
************************************************************************

-
This list is maintained by Snowshore Networks - http://www.snowshore.com
All comments on this list are the comments of the message originators and
Snowshore is not to be held responsible for any actions or comments found
on this list. The archives for this list can be found at
http://flyingfox.snowshore.com/toip_archive/maillist.html

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP